欢迎来到Doc100.Net免费学习资源知识分享平台!
您的位置:首页 > 程序异常 >

360安全浏览器兼容性的诡异有关问题

更新时间: 2014-01-05 01:56:33 责任编辑: Author_N1

 

360安全浏览器兼容性的诡异问题
做了个网页,用到了jquery的诸多插件包括ui、datepicker、autocomplete等插件。

现在发现浏览器兼容性问题。IE6.0、360浏览器5.0(系统为IE8.0)页面显示不正常。

但诡异的是在360浏览器4.0(系统为IE6.0)显示也正常!!

另外在IE8.0下显示正常,火狐、google、淘宝、猎豹等浏览器显示正常,360浏览器6.0极速模式显示正常,兼容模式显示不正常。

请问有没有遇到类似问题的,该如何解决?

如无法解决,如何判断是否为360浏览器,而不是简单的判断IE内核,谢谢

--参考方法--
我简单测了两个
360 5.1 内核是 IE7.0
360 6.2 内核是 webkit537.1 

但是多数情况通过支持就会发现,360内核有的版本内核单一,有的版本是多浏览器的内核综合
这个你通过useragent(jquery $.browser),调试看看变量内部是什么内核和版本
上一篇:上一篇
下一篇:下一篇

 

随机推荐程序问答结果

 

 

如对文章有任何疑问请提交到问题反馈,或者您对内容不满意,请您反馈给我们DOC100.NET论坛发贴求解。
DOC100.NET资源网,机器学习分类整理更新日期::2014-01-05 01:56:33
如需转载,请注明文章出处和来源网址:http://www.doc100.net/bugs/t/3388/
本文WWW.DOC100.NET DOC100.NET版权所有。